Subject: [bug#61009] [PATCH] Building Icecat and jemalloc on aarch64-linux

From: Roman Scherer <[email-masked]>
Date: Wed, 01 Mar 2023 19:05:38 +0100

Hi Christopher,

thanks for applying the patch and for the explanation.

Not sure what you meant by "missed". But, I sent an improved version of
the jemalloc patches as a separate issue a while ago. They are here:

https://lists.gnu.org/archive/html/guix-patches/2023-02/msg00698.html

Without the jemalloc patches, Icecat and all other packages using
jemalloc crash with the error `<jemalloc>: Unsupported system page size`
on aarch64 systems that run with kernel page sizes > 4K.

If you are familiar with this, I could need some help here as well ;)

Thanks, Roman.

Christopher Baines <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
>
> Roman Scherer <[email-masked]> writes:
>
>> Alright, thanks Leo!
>>
>> Leo Famulari <[email-masked]> writes:
>>
>>> On Mon, Feb 06, 2023 at 08:52:43PM +0100, Roman Scherer wrote:
>>>> thanks for your reply. Ok, I understand. I try to see if I can disable
>>>> it in some other way then. Are you familiar with this? Do you have any
>>>> tips to share?
>>>
>>> No, I don't have any specific knowledge about IceCat or aarch64.
>>>
>>> Mark Weaver is the primary maintainer of our IceCat package.
>>>
>>> It seems like a mistake that IceCat would require EME on a particular
>>> architecture. Maybe the name of the configure option has changed.
>
> I've pushed one of these patches now as
> 72ec11d24f34104efce0d91050a3faba4e2c7242. I missed any other patches
> that were sent to this issue.
>
> I think removing the --disable-eme option is OK on aarch64 as it's
> probably not an option since I'm guessing EME isn't available on
> aarch64. Anyway, Icecat looks to add these disable options by default so
> I'm not sure we need it for any architecture in the guix package.
>
> [[End of PGP Signed Part]]